from parallels.core.target_data_model import TargetSubscriptionData


class PleskTargetSubscriptionData(TargetSubscriptionData):
    def __init__(self,  web_ip=None, web_ip_type=None, web_ipv6=None, web_ipv6_type=None):
        self._web_ip = web_ip
        self._web_ip_type = web_ip_type
        self._web_ipv6 = web_ipv6
        self._web_ipv6_type = web_ipv6_type

    @property
    def web_ip(self):
        return self._web_ip

    @web_ip.setter
    def web_ip(self, value):
        self._web_ip = value

    @property
    def web_ip_type(self):
        return self._web_ip_type

    @web_ip_type.setter
    def web_ip_type(self, value):
        self._web_ip_type = value

    @property
    def web_ipv6(self):
        return self._web_ipv6

    @web_ipv6.setter
    def web_ipv6(self, value):
        self._web_ipv6 = value

    @property
    def web_ipv6_type(self):
        return self._web_ipv6_type

    @web_ipv6_type.setter
    def web_ipv6_type(self, value):
        self._web_ipv6_type = value